Yate: TelEngine Namespace Reference

Yate

Classes | Typedefs | Functions
TelEngine Namespace Reference

## Classes
class | BitVector
| A slice vector holding bits. More...
class | CallAccount
| Settings for an account handling calls. More...
class | CallEndpoint
| An abstract call endpoint. More...
class | Channel
| An abstract communication channel. More...
class | Client
| Class that runs the User Interface. More...
class | ClientAccount
| An account. More...
class | ClientAccountList
| A client account list. More...
class | ClientChannel
| Channel used by client programs. More...
class | ClientContact
| A client contact. More...
class | ClientDir
| A directory. More...
class | ClientDriver
| Base Driver with client specific functions. More...
class | ClientFile
| A file. More...
class | ClientFileItem
| A file/directory item. More...
class | ClientLogic
| Base class for all client logics. More...
class | ClientResource
| A client contact's resource. More...
class | ClientSound
| A sound file. More...
class | Complex
| A Complex (float) number. More...
class | Configuration
| Configuration file handling. More...
class | DataConsumer
class | DataEndpoint
| A data transfer endpoint capable of sending and/or receiving data. More...
class | DataFormat
| A Data format. More...
class | DataNode
class | DataSource
class | DataTranslator
| An unidirectional data translator (codec) More...
class | DefaultLogic
| The client's default logic. More...
class | Driver
| A Channel driver module. More...
class | DurationUpdate
| An UI time updater. More...
class | Engine
| Engine globals. More...
class | EngineCheck
| Engine checker interface. More...
class | Flags32
| A 32 bit length list of flags. More...
struct | FormatInfo
class | FormatRepository
| A repository for media formats. More...
struct | ImageInfo
class | Math
| Math utilities. More...
class | MathVectorBase
| Base class for vector class(es) More...
class | Message
| A message container class. More...
class | MessageDispatcher
| A message dispatching hub. More...
class | MessageFilter
| A message filter. More...
class | MessageHandler
| A message handler. More...
class | MessageHook
| Abstract message hook. More...
class | MessageNotifier
| Post-dispatching message hook. More...
class | MessagePostHook
| Post-dispatching message hook that can be added to a list. More...
class | MessageQueue
| A message queue. More...
class | MessageReceiver
| A multiple message receiver. More...
class | MessageRelay
| A message handler relay. More...
class | MimeAuthLine
| MIME authentication line. More...
class | MimeBinaryBody
| MIME for obscure binary data. More...
class | MimeBody
| Abstract MIME data holder. More...
class | MimeHeaderLine
| MIME header line. More...
class | MimeLinesBody
| MIME for multiple text lines. More...
class | MimeMultipartBody
| MIME multipart container. More...
class | MimeSdpBody
| MIME for application/sdp. More...
class | MimeStringBody
| MIME for one text string. More...
class | Module
| A Plugin that implements a module. More...
class | MucRoom
| An account's MUC room contact. More...
class | MucRoomMember
| A MUC room member. More...
class | NamedInt
| A named integer value. More...
class | Plugin
| Plugin support. More...
class | RefStorage
| A fixed ref counted storage. More...
class | Router
| Call routing thread. More...
class | SharedVars
| Atomic access and operations to shared variables. More...
class | SliceVector
| A slice vector. More...
class | ThreadedSource
| Data source with own thread. More...
struct | TranslatorCaps
class | TranslatorFactory
| An unidirectional data translator (codec) More...
class | UIFactory
| A static user interface creator. More...
class | UIWidget
class | Window
| An abstract user interface window. More...
class | XmlCData
| Xml Declaration. More...
class | XmlChild
| Xml Child. More...
class | XmlComment
| Xml Comment. More...
class | XmlDeclaration
| Xml Declaration. More...
class | XmlDoctype
class | XmlDocument
| Xml Document. More...
class | XmlDomParser
| Document Object Model XML Parser. More...
class | XmlElement
| Xml Element. More...
struct | XmlEscape
class | XmlFragment
| Xml Fragment. More...
class | XmlParent
| Xml Parent. More...
class | XmlSaxParser
| Serial Access XML Parser. More...
class | XmlText
| Xml Declaration. More...
class | XPath
| XML Path holder. More...

## Typedefs
typedef int(* | EngineLoop) ()
typedef SliceVector< Complex > | ComplexVector
typedef SliceVector< float > | FloatVector
typedef SliceVector< uint8_t > | ByteVector

## Functions
void | INIT_PLUGIN (class pclass)
bool | UNLOAD_PLUGIN (bool unloadNow)
bool | isE164 (const char *str)
Complex | operator+ (const Complex &c1, const Complex &c2)
Complex | operator+ (const Complex &c, float f)
Complex | operator+ (float f, const Complex &c)
Complex | operator- (const Complex &c1, const Complex &c2)
Complex | operator- (const Complex &c, float f)
Complex | operator* (const Complex &c1, const Complex &c2)
Complex | operator* (const Complex &c, float f)
Complex | operator* (float f, const Complex &c)
Complex | operator/ (const Complex &c1, const Complex &c2)
Complex | operator/ (const Complex &c, float f)
String & | operator<< (String &str, const Complex &c)
String & | operator<< (String &str, const BitVector &b)

## Detailed Description

Holds all Telephony Engine related classes.

## Typedef Documentation

## ◆ EngineLoop

typedef int(* EngineLoop) ()

Prototype for engine main loop callback

## Function Documentation

## ◆ INIT_PLUGIN()

void INIT_PLUGIN | ( | class pclass |  | ) |

Macro to create static instance of the plugin

Parameters

  pclass | Class of the plugin to create

## ◆ isE164()

bool isE164 | ( | const char * | str | ) |

Find if a string appears to be an E164 phone number

Parameters

  str | String to check

Returns
  True if str appears to be a valid E164 number

## ◆ operator*() [1/3]

Complex operator* | ( | const Complex & | c,
|  | float | f )
| inline

Multiplication operator

Parameters

  c | A Complex number
  f | A float value

Returns
  The result

## ◆ operator*() [2/3]

Complex operator* | ( | const Complex & | c1,
|  | const Complex & | c2 )
| inline

Multiplication operator

Parameters

  c1 | First number
  c2 | Second number

Returns
  The result

Referenced by operator*().

## ◆ operator*() [3/3]

Complex operator* | ( | float | f,
|  | const Complex & | c )
| inline

Multiplication operator

Parameters

  f | A float value
  c | A Complex number

Returns
  The result

References operator*().

## ◆ operator+() [1/3]

Complex operator+ | ( | const Complex & | c,
|  | float | f )
| inline

Addition operator

Parameters

  c | A Complex number
  f | A float value

Returns
  The result

## ◆ operator+() [2/3]

Complex operator+ | ( | const Complex & | c1,
|  | const Complex & | c2 )
| inline

Addition operator

Parameters

  c1 | First number
  c2 | Second number

Returns
  The result

Referenced by operator+().

## ◆ operator+() [3/3]

Complex operator+ | ( | float | f,
|  | const Complex & | c )
| inline

Addition operator

Parameters

  f | The float value
  c | The Complex number

Returns
  The result

References operator+().

## ◆ operator-() [1/2]

Complex operator- | ( | const Complex & | c,
|  | float | f )
| inline

Substraction operator

Parameters

  c | A Complex number
  f | A float value

Returns
  The result

## ◆ operator-() [2/2]

Complex operator- | ( | const Complex & | c1,
|  | const Complex & | c2 )
| inline

Substraction operator

Parameters

  c1 | First number
  c2 | Second number

Returns
  The result

## ◆ operator/() [1/2]

Complex operator/ | ( | const Complex & | c,
|  | float | f )
| inline

Division operator

Parameters

  c | A Complex number
  f | A float value

Returns
  The result

## ◆ operator/() [2/2]

Complex operator/ | ( | const Complex & | c1,
|  | const Complex & | c2 )
| inline

Division operator

Parameters

  c1 | First number
  c2 | Second number

Returns
  The result

## ◆ operator<<() [1/2]

String & operator<< | ( | String & | str,
|  | const BitVector & | b )
| inline

Append operator: append a BitVector to a String

Parameters

  str | Destination string
  b | Vector to append

Returns
  Destination string reference

References BitVector::appendTo().

## ◆ operator<<() [2/2]

String & operator<< | ( | String & | str,
|  | const Complex & | c )
| inline

Append operator: append a Complex number to a String

Parameters

  str | Destination string
  c | Complex number to append

Returns
  Destination string reference

References Math::dumpComplex().

## ◆ UNLOAD_PLUGIN()

bool UNLOAD_PLUGIN | ( | bool | unloadNow | ) |

Macro to create the unloading function

Parameters

  unloadNow | True if asked to unload immediately, false if just checking

Returns
  True if the plugin can be unloaded, false if not